:root {
    --active-color: #8B7462; /*#A39382;*/
    --main-color: #BCAFA2;
    --ligth-color: #F5F3F2;
    --medium-color: #CCC2B8;
    --bg-light-color: #e5e3e3;
    --bg-dark-color: #363029;
    --lato: "Lato", sans-serif;
    --cinzel: "Cinzel", serif;
    --dark-font: rgba(0, 0, 0, 0.8);
    --slider-offset-left: -300%;
    --slider-offset-right: 300%;
}

*:not(.icon) {
    font-family: var(--lato) !important;
}

a {
    color: var(--dark-font) !important;
}

a:hover {
    color: var(--active-color) !important;
}

[type="checkbox"], [type="radio"] {
    margin: 2px 0;
    transform: scale(1.3);
    accent-color: var(--active-color);
}


.ui.button,
.ui.basic.button,
.ui.labeled.button,
.ui.labeled.icon.button,
.ui.labeled.icon.button {
    display: inline-block;
    border-radius: unset !important;
    /*border: 1px solid var(--medium-color) !important;*/
    border: none !important;
    background: var(--main-color) !important;
    color: var(--ligth-color) !important;
    font-weight: 400;
    text-transform: uppercase;
    font-size: 13px !important;
    font-family: var(--lato) !important;
}

.ui.button:not(.huge),
.ui.basic.button:not(.huge) {
    padding: 10px 24px 8px !important;
}

.ui.button.primary,
.ui.basic.button.primary,
.ui.labeled.button.primary,
.ui.labeled.icon.button.primary,
.ui.labeled.icon.button.primary,
.ui.button.green,
.ui.basic.button.green,
.ui.labeled.button.green,
.ui.labeled.icon.button.green,
.ui.labeled.icon.button.green,
.ui.button.submit,
.ui.basic.button.submit,
.ui.labeled.button.submit,
.ui.labeled.icon.button.submit,
.ui.labeled.icon.button.submit {
    background: var(--active-color) !important;
    color: #fff !important;
    border-color: var(--ligth-color) !important;
}

.ui.button:hover,
.ui.basic.button:hover,
.ui.labeled.button:hover,
.ui.labeled.icon.button:hover,
.ui.labeled.icon.button:hover {
    background: var(--ligth-color) !important;
    color: var(--active-color) !important;
    border-color: var(--active-color) !important;
}

.ui.inverted.button {
    /*box-shadow: 0 0 0 1px #FFF inset !important;*/
    box-shadow: none !important;
}

.ui.basic.red.button {
    box-shadow: none !important;
    color: white !important;
}

.ui.header > .icon + .content,
.ui.large.header {
    font-size: 1em !important;
}

#sylius-billing-address .ui.button.address-book-select {
    color: black !important;
}



/****** head.top.menu ******/
/*.pusher > #menu {
    margin: 2em auto 0 !important;
}*/

.pusher > #menu {
    width: 1560px !important;
    max-width: 98vw;
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    margin: 0 !important;
    padding: 6px 0 !important;
    background-color: #fff !important;
    z-index: 100;
}

.pusher > #menu::after {
    background-color: unset !important;
}

.pusher > #menu .top-bar {
    width: 100%;
}

#sylius-currency-selector,
#sylius-locale-selector,
#sylius-locale-selector,
#sylius-cart-button,
.pusher > #menu .top-bar .ui.segment.search,
.pusher > #menu .menu:not(.transition) .item {
    padding: 8px 15px !important;
    margin: 0 2px !important;
    color: var(--dark-font) !important;
    background-color: var(--ligth-color) !important;
    border-radius: unset;
    border: none !important;
}

#sylius-currency-selector:hover,
#sylius-locale-selector:hover,
#sylius-cart-button:hover,
.pusher > #menu .menu:not(.transition) .item:hover {
    color: var(--dark-font) !important;
    background-color: var(--medium-color) !important;
}

#sylius-cart-button {
    padding: 13px 22px !important;
}


/****** head.search ******/
.pusher > #menu .top-bar .ui.segment.search {
    padding: 2px 8px 3px !important;
    margin-right: auto !important;
    border: 1px solid transparent;
    border-radius: 0 10px 10px 0 !important;
    box-shadow: none;
}

#search-top {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

#search-top .icon.search {
    margin: 0 10px 0 5px;
    font-size: 1.2em;
    color: var(--dark-font);
    cursor: pointer;
}

#search-top .icon.search:hover {
    color: var(--active-color);
}

#search-top input {
    padding: 7px 20px !important;
    border: none !important;
    will-change: width;
}

#search-top input.hidden {
    width: 0;
    padding: 7px 0 !important;
    transition: width 100ms ease-out;
}

#search-top input.visible {
    width: 200px;
    padding: 7px 20px !important;
    transition: width 300ms ease-in;
}


/****** container.search ******/
.pusher > .container > header > .segment.search {
    display: none;
    margin-bottom: 1em;
    padding: 2px !important;
    border: none;
    background-color: var(--ligth-color);
}

.pusher > .container > header > .segment.search form {
    width: 100%;
}

#search-bottom {
    display: none;
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: center;
    width: 100%;
}

#search-bottom .icon.search {
    width: 10%;
    padding: 0 0 2px 2px;
}

#search-bottom input {
    width: 90%;
    padding: 10px !important;
}

/****** main.header.content ******/
.ui.large.stackable.menu .text,
.ui.large.stackable.menu a {
    font-family: var(--lato) !important;
    font-weight: 400;
    font-size: 1em !important;
    letter-spacing: 2px;
    text-transform: uppercase !important;
}

.ui.menu .ui.dropdown .menu > .item {
    text-transform: uppercase !important;
}

.ui.breadcrumb {
    margin-left: 50px !important;
    margin-bottom: 1em !important;
}

.ui.breadcrumb .divider,
.ui.breadcrumb .active,
.ui.breadcrumb a {
    color: var(--dark-font);
    opacity: 0.85;
    font-size: .8em;
}

.ui.breadcrumb a:hover {
    color: var(--ligth-color) !important;
    opacity: 1;
}

.ui.breadcrumb .active {
    /*font-weight: bold !important;*/
    text-decoration: underline;
}

header .ui.menu::before {
    display: none !important;
}

header .ui.menu {
    flex-wrap: wrap;
    margin-bottom: 1em !important;
    background-color: unset;
}

header .ui.menu .item:not(:last-child):after {
    position: relative;
    right: -20px;
    content: "";
    width: 1px;
    height: 16px;
    background-color: rgba(0, 0, 0, 0.2);
}

.promotion_label {
    background-color: #f35959 !important;
    color: #fff !important;
}

header .logo-container {
    width: 100%;
    margin-top: 2em;
    text-align: center;
}

header .logo-container .logo {
    max-width: 130px;
    margin: 0 auto;
}

.top-pagination-wrapper .ui.pagination.menu {
    display: inline-flex;
    vertical-align: middle;
    justify-content: end;
    width: 100%;
    margin-bottom: 2em;
    padding: 5px;
    border-bottom: 1px solid var(--bg-light-color) !important;
}

.bottom-pagination-wrapper .ui.pagination.menu {
    display: inline-flex;
    vertical-align: middle;
    justify-content: end;
    width: 100%;
    margin-top: 2em;
    padding: 5px;
    border-top: 1px solid var(--bg-light-color) !important;
}

.ui.pagination.menu .item {
    min-width: 2em !important;
    padding: 15px !important;
}

.ui.positive.message,
.ui.info.message {
    background-color: white;
    color: var(--active-color);
}

.ui.icon.message > .icon:not(.close) {
    font-size: 2em;
}

#flash-promo:not(:empty) {
    width: 100%;
    margin-top: 3em;
}

#flash-promo .flash-promo {
    padding: 0.3em;
    text-align: center;
    border-radius: 7px;
    background-color: #fbbd08 !important;
    color: black;
}

/****** error pages *******/
h2.error-404,
h2.error-500 {
    margin-top: 5em !important;
    font-family: var(--lato) !important;
    font-weight: 500 !important;
    font-size: 1.8em !important;
}

p.error-404,
p.error-500 {
    width: 100%;
    font-family: var(--cinzel) !important;
    font-weight: 400 !important;
    font-size: 1.4em !important;
    text-align: center;
}

.newsletter-subscriber .field {
    margin-bottom: 0!important;
}

.newsletter-subscriber small a {
    text-decoration: underline;
}


@media (min-width: 1500px) {
    .ui.container {
        width: 1600px !important;
        padding: 0 20px;
    }
}

@media (min-width: 1200px) and (max-width: 1499px) {
    .pusher > #menu {
        width: 1050px !important;
    }
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {
    .pusher > #menu {
        width: 933px !important;
    }
}

@media (max-width: 990px) {
    .pusher > #menu {
        width: 100vw !important;
        padding: 6px !important;
    }

    .ui.container {
        width: 95vw !important;
    }

    .ui.menu {
        flex-wrap: wrap;
    }

    .ui.menu .item {
        padding: 10px !important;
        font-size: 0.9em !important;
    }

    header .ui.menu .item:not(:last-child)::after {
        right: -10px;
    }

    .ui.pagination.menu {
        justify-content: center;
    }

    .ui.pagination.menu .item {
        min-width: unset;
    }
}

@media (max-width: 768px) {
    .ui.container {
        width: auto !important;
        margin-left: 1em !important;
        margin-right: 1em !important;
    }

    .ui.button {
        width: 100% !important;
    }

    /*.pusher > #menu {
        margin-top: 0.5em !important;
    }*/

    .top-bar {
        display: flex;
        flex-direction: row !important;
        align-items: center;
        flex-wrap: wrap;
    }

    .top-bar > div.search,
    .top-bar > #search-top {
        display: none;
    }

    .top-bar > div {
        padding: 0 !important;
    }

    .top-bar > div:last-child {
        margin-left: auto !important;
    }

    .top-bar > div * {
        font-size: .8em;
    }

    .top-bar > .item:not(.dropdown) {
        max-width: 88px;
        padding: 10px !important;
        /*text-overflow: ellipsis;
        overflow: hidden;*/
    }

    .pusher > .container > header > .segment.search {
        display: block;
    }

    #search-bottom {
        display: flex;
    }

    .pusher > .container > header > .menu {
        display: flex !important;
        flex-direction: row;
        justify-content: center;
    }

    header .ui.large.menu {
        font-size: .8rem;
    }

    .ui.stackable.menu .item {
        width: auto !important;
    }

    header .ui.menu .item:not(:last-child)::after {
        display: none;
    }


    .ui.breadcrumb {
        margin-left: 0 !important;
        padding-left: 10px !important;
    }

    #sylius-cart-total-items {
        display: none;
    }

    #flash-promo:not(:empty) {
        padding: 0 !important;
    }
}
